<?php
/************************************************************************/
/* RankQuest: Search Engine Optimization Tools                          */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2006 by RankQuest                                      */
/* http://www.rankquest.com                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* This program is distributed in the hope that it will be useful, but  */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     */
/* General Public License for more details                              */
/************************************************************************/
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>RankQuest Meta Tag Analyzer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script type="text/javascript" src="js/rankquest.js"></script>
<link rel="stylesheet" href="css/opensource.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
body {
	margin: 0px;
}
-->
</style>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><div>
        <div>
<?php
include 'toolutils.php';

$url = (isset($HTTP_GET_VARS['url'])) ? $HTTP_GET_VARS['url'] : '';
$type = (isset($HTTP_POST_VARS['localfile'])) ? $HTTP_POST_VARS['localfile'] : '';

if($url!="")
{
       	$url_parts = parse_url($url);
       	if($url_parts['scheme']=="")
	{
               	$url="http://".$url;
	}
	$urlContent = getURLContent($url);
}

if($type!="")
{
	$fileValue = $HTTP_POST_FILES['Browse'];

	if($fileValue!="")
	{
		$originalName = $fileValue[name];
		$tempName = $fileValue[tmp_name];
		$size = $fileValue[size];
		$fileName = getFileName($tempName);
		$fp = fopen($fileName, 'r');
		if($fp)
		{
			while(!feof($fp))
			{
				$value = fgetc($fp);
				$content.=$value;
			}
			fclose($fp);
		}
		else
		{
			echo "Unable to open file";
		}
	}
}
?>
          <table width="100%" style="background:#F5F5F5;border-bottom:1px solid #C9C9C9;" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td style="padding-left:15px;" nowrap><span>
               <h1><img src="images/tools-3.gif" alt="Meta Tag Analyzer" title="Meta Tag Analyzer" align="absmiddle"><span style="margin-right:15px;">Meta Tag Analyzer</span>
<?php
if($url!="")		
	echo "<a href=\"Keyword-Finder.php?url=$url\">";
else	
	echo "<a href=\"Keyword-Finder.php\">";
?>
	  <img src="images/jumpto-kf.gif" border="0" align="absmiddle" alt="Jump to Keyword Finder" title="Jump to Keyword Finder"></a></h1>  
	      </span> </td>
              <td style="padding-right:15px;" nowrap align="right"><a href="http://www.rankquest.com/"><img src="images/poweredby.gif" alt="Powered by RankQuest" title="Powered by RankQuest" border="0"></a> </td>
            </tr>
          </table>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td align="center"><div style="margin-top:7px;margin-bottom:7px;" >
                  <div  style="text-align:left;padding:0px 5px 0px 5px;">
                    <div style="border-bottom:1px solid #C9C9C9;padding-bottom:25px;">
<?
if($urlContent[0]=="200" || $size>100)
{
	if($type=="")
	{
		$content = $urlContent[1];
	}

	$pattern = "/[a-zA-Z][a-zA-Z][a-zA-Z][a-zA-Z]\s?=\s?[\"']?\s?[Kk][Ee][Yy][Ww][Oo][Rr][Dd][Ss][\"']?\s*[Cc][Oo][Nn][Tt][Ee][Nn][Tt]\s?=\s*[\"']?\s?([^\"]*)[\"']?/i";

	preg_match_all($pattern, $content, $matches);
	if($matches[1][0] == "")
	{
		$pattern = "/[Cc][Oo][Nn][Tt][Ee][Nn][Tt]\s?=\s*[\"']?\s?([^\"]*)[\"']?\s*[Nn][Aa][Mm][Ee]\s?=\s?[\"']?\s?[Kk][Ee][Yy][Ww][Oo][Rr][Dd][Ss]?[\"']?/i";
		preg_match_all($pattern, $content, $matches);
	}

	$count = count($matches[0]);
	$keyCount = $count;

	for ($i=0; $i<count($matches[0]); $i++)
	{
		$keywords = $matches[1][$i];
		$kwlen = strlen($keywords);

		$pattern1 = "/([^,;]+)/i";
		preg_match_all($pattern1,$matches[1][$i],$counT);
		$keyCount = count($counT[0]);

		if($keyCount>25)
		{
			$keyMessage = "The number of keywords in this tag is $keyCount.";
			$keywordMessage = "Too many keywords present in this tag. <br>Maximum number of keywords recommended is 20.";
			$keywordIcon = "status-icon3.gif";
			$altKey = "Error";
		}
		elseif($keyCount>20 && $keyCount<26)
		{
			$keyMessage = "The number of keywords in this tag is $keyCount.";
			$keywordMessage = "Maximum number of keywords recommended is 20.<br>Number of keywords is greater than recommended.";
			$keywordIcon = "status-icon2.gif";
			$altKey = "Warning";
		}
		else
		{
			$keyMessage = "The number of keywords in this tag is $keyCount.";
			$keywordMessage = "No error in this tag.";
			$keywordIcon = "status-icon1.gif";
			$altKey = "Good";
		}
	}

	$pattern2 = "/[a-zA-Z][a-zA-Z][a-zA-Z][a-zA-Z]\s?=\s?[\"']?\s?[Dd][Ee][Ss][Cc][Rr][Ii][Pp][Tt][Ii][Oo][Nn][\"']?\s*[Cc][Oo][Nn][Tt][Ee][Nn][Tt]\s?=\s*[\"']?\s?([^\"']*)[\"']?/i";
	$count=0;
	preg_match_all($pattern2, $content, $matches);
	if($matches[1][0]=="")
	{
		$pattern2 = "/[Cc][Oo][Nn][Tt][Ee][Nn][Tt]\s?=\s*[\"]?\s?([^\"]*)[\"]?\s*[Nn][Aa][Mm][Ee]\s?=\s?[\"]?\s?[Dd][Ee][Ss][Cc][Rr][Ii][Pp][Tt][Ii][Oo][Nn][\"]?/i";
		preg_match_all($pattern2, $content, $matches);
	}

	$count = count($matches[0]);
	for($i=0; $i< count($matches[0]); $i++)
	{
		$description = $matches[1][$i];
		$deslen = strlen($description);

		if($deslen>250)
		{
			$desMessage = "The number of characters in description is $deslen.";
			$descriptionMessage = "You have exceeded your limit of 250 characters for descriptions.";
			$descriptionIcon = "status-icon3.gif";
			$altDesc = "Error";
		}
		elseif($deslen<250 && $deslen>50)
		{
			$desMessage = "The number of characters in description is $deslen.";
			$descriptionMessage = "You are using your description effectively.";
			$descriptionIcon = "status-icon1.gif";
			$altDesc = "Good";
		}
		else
		{
			$desMessage = "The number of characters in description is $deslen.";
			$descriptionMessage = "You are not using the description effectively.";
			$descriptionIcon = "status-icon2.gif";
			$altDesc = "Warning";
		}
	}
	
	if($keywords=="")
	{
		$keywords = "NA";
	}
	if($description=="")
	{
		$description = "NA";
	}
}
?>								
                      <table border="0" style="margin-top:20px;" cellpadding="0" cellspacing="0" align="center">
                        <tr>
                          <td><div style="display: block;" id="urlSelect">
                              <form name="feed" method="GET" action="" onSubmit="return validateNotNull();">
                                <table  border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td style="padding-left:80px;" valign="bottom"  colspan="3" align="center"></td>
                                  </tr>
                                  <tr>
                                    <td nowrap style="padding-right:10px;" valign="bottom"><select class="combobox" onChange="javascript:changeOption('localfile');" id="urlSelectBox">
                                        <option id="enterUrl" value="1">External Site URL</option>
                                        <option value="2">Local File Path</option>
                                      </select>
                                    </td>
			    <td align="center" valign="bottom"><input name="url" class="txtbox250new3" value="<? echo $url; ?>" type="text"></td>
                                    <td style="padding-left: 10px;" valign="bottom"><input class="button1" name="Submit" value="Analyze" type="submit">
                                      <input type="hidden" value="url" name="type">
                                    </td>
                                  </tr>
                                </table>
                              </form>
                            </div>
                            <div style="display: none;" id="fileSelect">
                              <form name="frm" method="post" enctype="multipart/form-data" action="">
                                <table  border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td style="padding-left:80px;" valign="bottom" align="center" colspan="3"></td>
                                  </tr>
                                  <tr>
                                    <td nowrap style="padding-right:10px;" valign="bottom"><select class="combobox" onChange="javascript:changeOption('url');" id="fileSelectBox">
                                        <option id="enterFile" value="1">Local File Path</option>
                                        <option value="2">External Site URL</option>
                                      </select>
                                    </td>
			    <td align="center" valign="bottom"><input class="sitetoolbrows1" name="Browse" value="<? echo $originalfilename; ?>" type="file" size="39">
                                    </td>
                                    <td style="padding-left: 10px;" valign="bottom"><input class="button1" name="Submit" value="Analyze" type="submit">
				    <input type="hidden" value="localfile" name="localfile">
                                    </td>
                                  </tr>
                                </table>
                              </form>
                            </div></td>
                        </tr>
                      </table>
	      <script type="text/javascript">changeOption('<?php echo $type; ?>');</script>
                    </div>
                  </div>
                </div>
                <div style="margin-top:7px;height:;" >
                  <div><img src="images/spacer.gif"></div>
                  <div  style="text-align:left;padding:10px;">
<?php
if($url!="" || $type!="")
{
	if($urlContent[0]=="200" || $size>50)
	{
?>		    
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="hlinegeenbot"><table width="30%"  border="0" cellspacing="0" cellpadding="2">
                            <tr>
                              <td width="2"><img src="images/spacer.gif" width="2" height="8" alt=""></td>
                              <td nowrap class="boldtxtbrown"><span class="boldtxtblock">Results for :</span></td>
                              <td nowrap class="boldtxtbrown">
<?php
	if($type!="")
		echo $originalName;
	else
		echo $url;
?>			      
			      </td>
                              <td nowrap class="boldtxtbrown">&nbsp;</td>
                            </tr>
                          </table></td>
<?php
		if($keyCount>0 || $count>0)
                {
?>			  
                        <td align="right" class="hlinegeenbot"><table  border="0" cellspacing="0" cellpadding="1">
                            <tr>
                              <td><img src="images/status-icon3.gif" alt="Error" title="Error" width="15" height="12"></td>
                              <td width="3"><img src="images/spacer.gif" width="2" height="1" alt=""></td>
                              <td>Error</td>
                              <td><img src="images/spacer.gif" width="15" height="1" alt=""></td>
                              <td><img src="images/status-icon2.gif" alt="Warning" title="Warning" width="15" height="12"></td>
                              <td width="3"><img src="images/spacer.gif" width="2" height="8" alt=""></td>
                              <td>Warning</td>
                              <td><img src="images/spacer.gif" width="15" height="1" alt=""></td>
                              <td><img src="images/status-icon1.gif" alt="Good" title="Good" width="15" height="12"></td>
                              <td width="3"><img src="images/spacer.gif" width="2" height="8" alt=""></td>
                              <td>Good</td>
                              <td width="2"><img src="images/spacer.gif" width="2" height="1" alt=""></td>
                            </tr>
                          </table></td>
 <?php
	 	}
 ?>			  
                      </tr>
                    </table>
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td>&nbsp;</td>
                      </tr>
                    </table>
<?php
		if($keyCount>0 || $count>0)
                { 
?>			  
                    <table style="margin-bottom:15px;" class="bordergraynew2" width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td height="21" colspan="2" nowrap class="blueband4medium">&nbsp;&nbsp;<span class="boldtxtblock">Meta Tag</span></td>
                        <td height="21" nowrap class="blueband4medium">&nbsp;&nbsp;<span class="boldtxtblock">Analysis</span></td>
                        <td height="21" nowrap class="blueband4medium">&nbsp;&nbsp;<span class="boldtxtblock">Contents</span></td>
                      </tr>
                      <tr align="left">
                        <td height="2" colspan="4" align="right" ><img src="images/spacer.gif" alt="" width="1" height="2"></td>
                      </tr>
<?php
			if($count>0)
			{
?>	
                      <tr align="left">
	                <td width="12" align="right" valign="top" class="alternatlinkpopu2"><img src="images/<?php echo $descriptionIcon ?>" alt="<?php echo $altDesc; ?>" title="<?php echo $altDesc; ?>" width="15" height="12"></td>
                        <td valign="top" nowrap class="alternatlinkpopu2"><span class="boldtxtblock">Description</span></td>
		        <td valign="top" class="alternatlinkpopu2"><span class="boldtxtblock"><?php echo $desMessage; ?>  </span><br><?php echo $descriptionMessage ; ?></td>
		        <td valign="top" class="alternatlinkpopu2"> <?php echo $description; ?></td>
                      </tr>
<?php
			}
			if($keyCount>0)
			{
?>		      
                      <tr align="left">
 	                <td width="12" align="right" valign="top" class="alternatlinkpopu1"><img src="images/<?php echo $keywordIcon ;?>" alt="<?php echo $altKey; ?>" title="<?php echo $altKey; ?>" width="15" height="12"></td>
                        <td valign="top" nowrap class="alternatlinkpopu1"><span class="boldtxtblock">Keywords</span></td>
		        <td valign="top" class="alternatlinkpopu1"><span class="boldtxtblock"></span><?echo $keyMessage; ?><br><?php echo $keywordMessage; ?></td>
                        <td valign="top" class="alternatlinkpopu1"><?php echo $keywords; ?> </td>
                      </tr>
<?php
			}
?>	
                    </table>
<?php
		}
		else
		{
?>	
                   <table width="20%" style="margin-bottom:15px;" border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="8"><img src="images/info-left.gif" width="8" height="17" alt=""></td>
                        <td align="center" nowrap class="infobg">
<?php
        		if($type!="")
        		{
                		echo "File doesn't have any meta keywords.";
        		}
        		else
        		{
              			echo "The webpage at the URL provided doesn't have any meta keywords.";
        		}
?>
			  </td>
                        <td width="8"><img src="images/info-right.gif" width="8" height="17" alt=""></td>
                      </tr>
                    </table>
<?php
		}
	}	
	else
	{
?>	
                  <table style="margin-bottom:15px;" width="20%"  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="8"><img src="images/info-left.gif" width="8" height="17" alt=""></td>
                        <td align="center" nowrap class="infobg">
<?php
		if($size<50 && $type!="")
		{
			echo "Please check whether the given file has content.";
		}
		else
		{
			echo "Unable to query the URL specified.Please check if you entered a valid URL.";
		}
?>
			  </td>
                        <td width="8"><img src="images/info-right.gif" width="8" height="17" alt=""></td>
                      </tr>
                    </table>
<?
	}
}
?>		    
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="helpcorner1"><img src="images/spacer.gif" width="6" height="6" alt=""></td>
                        <td class="helpcornerline1"><img src="images/spacer.gif" width="1" height="1" alt=""></td>
                        <td class="helpcorner2"><img src="images/spacer.gif" width="6" height="6" alt=""></td>
                      </tr>
                      <tr>
                        <td class="helpcornerline4">&nbsp;</td>
                        <td>
                          <table width="100%"  border="0" cellspacing="0" cellpadding="0" align="center">
                            <tr>
                              <td class="boldtxtblock" align="right" width="10"><img src="images/spacer.gif" alt="" width="10" height="8"></td>
                              <td width="20"><img src="images/help-icon2.gif" alt="help" title="help" width="20" height="20"></td>
                              <td width="10"><img src="images/spacer.gif" width="10" height="1" alt=""></td>
                              <td class="boldtxtblock" height="26" width="99%">Help</td>
                              <td class="boldtxtblock" align="right" width="15"><img src="images/spacer.gif" alt="" width="15" height="1"></td>
                            </tr>
                            <tr>
                              <td colspan="5" class="hlinegeenbot" height="2"><img src="images/spacer.gif" width="1" alt="" height="2"></td>
                            </tr>
                          </table>
                          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td>&nbsp;</td>
                            </tr>
                            <tr>
                              <td><ul>
                                  <li>Meta Tags tell the Search Engine what your page is all about, they also play a crucial role in the SERP Rankings of your page.
                                  <li>The Meta Tag Analyzer examines the Meta information of the entered URL and lets you know if the content is Search Engine Friendly or not.
                                </ul></td>
                            </tr>
                          </table>
                        <td class="helpcornerline2"><img src="images/spacer.gif" width="1" height="1" alt=""></td>
                      </tr>
                      <tr>
                        <td class="helpcorner4"><img src="images/spacer.gif" width="6" height="6" alt=""></td>
                        <td class="helpcornerline3"><img src="images/spacer.gif" width="1" height="1" alt=""></td>
                        <td class="helpcorner3"><img src="images/spacer.gif" width="6" height="6" alt=""></td>
                      </tr>
                    </table>
                  </div>
                  <div ><img src="images/spacer.gif"></div>
                </div></td>
            </tr>
          </table>
        </div>
      </div></td>
  </tr>
</table>
</body>
</html>
